-- Set the source location for the databases
DECLARE @PhysicalHost sysname = N'';

-- Create a linked server for use by scripts
If Not Exists (Select 1 From sys.servers
			Where name = N'LITESPEEDLSSOURCE')
  Begin;
	-- Linked server to source server named LITESPEEDLSSOURCE
	Exec master.dbo.sp_addlinkedserver @server = N'LITESPEEDLSSOURCE',
		@srvproduct = @PhysicalHost,
		@datasrc = @PhysicalHost,
		@provider = N'SQLNCLI11';

	-- Authenticate as caller
	Exec master.dbo.sp_addlinkedsrvlogin @rmtsrvname = N'LITESPEEDLSSOURCE',
		@useself = N'True',
		@locallogin = NULL,
		@rmtuser = NULL,
		@rmtpassword = NULL;
  End;